package org.jdtaus.core.container.ri.servlet;

import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class ContextLostExceptionBundle{ 

/** <pre> No context available for thread {0}.</pre>. */
public static String getContextLostText(final Locale locale) {
    return getMessage("contextLost", locale);
}

/** <pre> No context available for thread {0}.</pre>. */
public static MessageFormat getContextLostMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("contextLost", locale), locale);
}

private static String getMessage(final String key, Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
    return ResourceBundle.getBundle(
        "org.jdtaus.core.container.ri.servlet.ContextLostException", locale).getString(key);
}

}
