package org.jdtaus.core.container.ri.servlet;

import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class SessionLostExceptionBundle{ 

/** <pre> No session for thread {0}.</pre>. */
public static String getSessionLostText(final Locale locale) {
    return getMessage("sessionLost", locale);
}

/** <pre> No session for thread {0}.</pre>. */
public static MessageFormat getSessionLostMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("sessionLost", locale), locale);
}

private static String getMessage(final String key, Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
    return ResourceBundle.getBundle(
        "org.jdtaus.core.container.ri.servlet.SessionLostException", locale).getString(key);
}

}
